### Type parameters

- #### A

- #### B

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest2

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:9

## Methods

### exec

- exec(): Promise<[A, B]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:26

  #### Returns Promise<[A, B]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A, B]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:24

  #### Returns Promise<TransactGetFullResponse<[A, B]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:10

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<C>(modelClazz: ModelConstructor<C>, key: Partial<C>): TransactGetRequest3<A, B, C>

- - Defined in dynamo/transactget/transact-get.request.type.ts:22

  #### Type parameters

  - #### C

  #### Parameters

  - ##### modelClazz: ModelConstructor<C>

  - ##### key: Partial<C>

  #### Returns TransactGetRequest3<A, B, C>